Subject: Re: possible regression (or me abusing git) in v1.5.5

From: Junio C Hamano <[email-masked]>
Date: Fri, 11 Apr 2008 14:06:28 -0700

[email-masked] writes:

> After upgrading to v1.5.5, I noticed a change in the way that git
> treats symbolic links.
>
> Git will follow symbolic links to directories when they were added as follows
>
> $ git init
> $ mkdir foo
> $ touch foo/bar
> $ ln -s foo foo1
> $ git add foo1/

In this step "git add" adds "foo1/bar", which is a bug that is shared
between 1.5.5 and previous versions.

Recent "git add -u" after that was taught to notice this bogosity (it
actually is git-diff-* family that was fixed), and fixes it.